Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007885TestLinkNew Featurepublic2017-03-17 14:512017-03-24 11:58
Reportergrs476 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007885: Option to set Execution Type in bulk mode in test cases table view feature
DescriptionHaving Execution Type field will be helpful in bulk updating the test cases at one go. This can be made available by clicking on Test suite -> Test suite Operations -> Table View. This can be placed next to Importance field. Please see screenshot
TagsNo tags attached.
Database (MySQL,Postgres,etc)MariaDB
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon Screenshot_3.jpg [^] (188,119 bytes) 2017-03-17 14:51

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026126)
fman (administrator)
2017-03-18 07:54
edited on: 2017-03-18 07:55

Would you mind to rewrite your requirement in a little bit?
I'm not able to grasp the request.
provide also use case

Also get latest stable version and check if feature is not already available

(0026138)
grs476 (reporter)
2017-03-20 10:10

Hi,
The use case is ‘Bulk updation of Execution Type’. Suppose we need to change the execution type from Manual to Automated or vice –versa, we need to go inside individual test case and then change it.
I am looking for an option that allows me to bulk update the Execution Type at a test suite level. You must be aware of the option called ‘ Test Cases Table view’. Here you have option of changing the status and importance in bulk. Will it be possible to also add Execution type dropdown here?
Note :- Test case table view can be accessed through : Test Specifications -> Test Suite -> Actions.
Please let me know if this clarifies.

I also checked at latest version and this is not available there
(0026159)
fman (administrator)
2017-03-22 05:31

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/a267ce9472f2b112d17fc8646967f9d664fadb17 [^]

Please test & provide feedback
Think about donation via paypal
(0026162)
grs476 (reporter)
2017-03-22 08:04

Please give me two days. I am travelling right now . I will get back to you asap
(0026173)
grs476 (reporter)
2017-03-24 08:23

Hi,
It works as per my requirements. Thank you.
(0026175)
fman (administrator)
2017-03-24 09:07

OK
Think about donation via paypal
(0026176)
grs476 (reporter)
2017-03-24 11:58

Please note one thing I missed. The change also need to be for following file :-

location-\gui\templates

- Issue History
Date Modified Username Field Change
2017-03-17 14:51 grs476 New Issue
2017-03-17 14:51 grs476 File Added: Screenshot_3.jpg
2017-03-18 07:54 fman Note Added: 0026126
2017-03-18 07:55 fman Note Edited: 0026126 View Revisions
2017-03-18 09:58 fman Assigned To => fman
2017-03-18 09:58 fman Status new => feedback
2017-03-20 10:10 grs476 Note Added: 0026138
2017-03-20 10:10 grs476 Status feedback => assigned
2017-03-22 05:28 fman Relationship added child of 0007817
2017-03-22 05:29 fman QA Team - Task Workflow Status => TBD
2017-03-22 05:29 fman Summary Please provide the option of Execution Type under table view => Option to set Execution Type in bulk mode in test cases table view feature
2017-03-22 05:30 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-03-22 05:30 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-03-22 05:31 fman Note Added: 0026159
2017-03-22 05:31 fman Status assigned => feedback
2017-03-22 08:04 grs476 Note Added: 0026162
2017-03-22 08:04 grs476 Status feedback => assigned
2017-03-24 08:23 grs476 Note Added: 0026173
2017-03-24 09:07 fman Note Added: 0026175
2017-03-24 09:07 fman Status assigned => resolved
2017-03-24 09:07 fman Resolution open => fixed
2017-03-24 11:58 grs476 Note Added: 0026176



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker